Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0013891
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] Z. Othersminoralways2010-07-05 17:132010-12-09 16:03
ReporteriperdomoView Statuspublic 
Assigned Todbaz 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50SCM revision 
Review Assigned To
Web browser
ModulesUser Interface Application
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0013891: ToolBar and LeftTabsBar classes need to be changed for New Layout

DescriptionThe classes in charge of building ToolBar and LeftTabsBar needs to handle the New Layout, some of the changes include (when running the new layout):

* Remove back button
* Remove refresh button
* Remove help and info buttons
* Remove Grid/Form buttons from the left-bar and move them as buttons of the toolbar
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0013989 closedalostale The generated HTML code of the refresh button is different when using the new layout 

-  Notes
(0029108)
hgbot (developer)
2010-07-07 11:51

Repository: erp/devel/pi
Changeset: fc5a6575baf52679e8f8ee610345108957c06f8e
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Jul 07 11:50:31 2010 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/fc5a6575baf52679e8f8ee610345108957c06f8e [^]

related to issue 13891: ToolBar and LeftTabsBar classes need to be changed for New Layout

  Toolbar is implemented

---
M src/org/openbravo/dal/core/OBContext.java
M src/org/openbravo/erpCommon/utility/ToolBar.java
M web/skins/Default/Openbravo_ERP_250.css
---
(0029129)
hgbot (developer)
2010-07-07 15:28

Repository: erp/devel/pi
Changeset: 33d9daa902a6f0bbe24e47c7287a2695d9e43f3d
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Wed Jul 07 15:27:41 2010 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/33d9daa902a6f0bbe24e47c7287a2695d9e43f3d [^]

related to issue 13891: Added edition, relation and refresh new toolbar icons

---
M web/skins/Default/Openbravo_ERP_250.css
A web/skins/Default/Main/ToolBar/iconEdition.png
A web/skins/Default/Main/ToolBar/iconEditionNew.png
A web/skins/Default/Main/ToolBar/iconRefresh.png
A web/skins/Default/Main/ToolBar/iconRelation.png
---
(0029192)
hgbot (developer)
2010-07-09 16:52

Repository: erp/devel/pi
Changeset: b974f18346c6bde0ea6205f672c44d766420d018
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jul 09 16:52:17 2010 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b974f18346c6bde0ea6205f672c44d766420d018 [^]

related to issue 13891
  Do not generate contents for left bar and navigation bar when
  using new UI

---
M src/org/openbravo/erpCommon/utility/LeftTabsBar.java
M src/org/openbravo/erpCommon/utility/NavigationBar.java
M src/org/openbravo/erpCommon/utility/ToolBar.java
M src/org/openbravo/erpCommon/utility/Utility.java
---
(0029195)
hgbot (developer)
2010-07-09 17:50

Repository: erp/devel/pi
Changeset: 2f62a7abe8fae48496609dd9cecc5055adbaffe8
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Fri Jul 09 17:50:42 2010 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2f62a7abe8fae48496609dd9cecc5055adbaffe8 [^]

Related to issue 13891: Added js changes to proper display of classic windows in a MDI environment

---
M src/org/openbravo/erpCommon/security/Login_F1.html
M web/js/utils.js
---
(0029197)
hudsonbot (developer)
2010-07-10 11:23

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/fc5a6575baf5 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/8cb9c6ccb2e4 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17829.obx [^]
(0029200)
hudsonbot (developer)
2010-07-10 11:23

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/33d9daa902a6 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/8cb9c6ccb2e4 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17829.obx [^]
(0029212)
hgbot (developer)
2010-07-11 18:57

Repository: erp/devel/pi
Changeset: 8010e964ec1c6fd746b934d97a9420c9d72ab7e3
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Sun Jul 11 18:54:55 2010 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8010e964ec1c6fd746b934d97a9420c9d72ab7e3 [^]

Related to issue 13891: Change in 'Default' skin to proper display of the tabbar

---
M web/skins/Default/Openbravo_ERP_250.css
---
(0029278)
hudsonbot (developer)
2010-07-14 04:43

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/b974f18346c6 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/2a91111beef4 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17878.obx [^]
(0029279)
hudsonbot (developer)
2010-07-14 04:43

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/2f62a7abe8fa [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/2a91111beef4 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17878.obx [^]
(0029281)
hudsonbot (developer)
2010-07-14 04:43

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/8010e964ec1c [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/2a91111beef4 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17878.obx [^]
(0029336)
iperdomo (developer)
2010-07-15 11:17

Tested on pi @ rev 7a5cf7dc9844 + New UI modules installed
(0029341)
hgbot (developer)
2010-07-15 12:15

Repository: erp/devel/pi
Changeset: 69209bdbdd0dee86943fbbd49724909e4e0fcda6
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Thu Jul 15 12:15:19 2010 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/69209bdbdd0dee86943fbbd49724909e4e0fcda6 [^]

Related to issue 13891: Now toolbar arrows works ok on MDI UI

---
M src/org/openbravo/erpCommon/security/Login_F1.html
M web/js/appStatus.js
M web/js/utils.js
---
(0029359)
hudsonbot (developer)
2010-07-15 21:53

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/69209bdbdd0d [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/4653d919b826 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17886.obx [^]

- Issue History
Date Modified Username Field Change
2010-07-05 17:13 iperdomo New Issue
2010-07-05 17:13 iperdomo Assigned To => alostale
2010-07-07 11:51 hgbot Checkin
2010-07-07 11:51 hgbot Note Added: 0029108
2010-07-07 15:28 hgbot Checkin
2010-07-07 15:28 hgbot Note Added: 0029129
2010-07-09 16:52 hgbot Checkin
2010-07-09 16:52 hgbot Note Added: 0029192
2010-07-09 17:50 hgbot Checkin
2010-07-09 17:50 hgbot Note Added: 0029195
2010-07-10 11:23 hudsonbot Checkin
2010-07-10 11:23 hudsonbot Note Added: 0029197
2010-07-10 11:23 hudsonbot Checkin
2010-07-10 11:23 hudsonbot Note Added: 0029200
2010-07-11 18:57 hgbot Checkin
2010-07-11 18:57 hgbot Note Added: 0029212
2010-07-13 14:02 dbaz Status new => acknowledged
2010-07-13 14:02 dbaz Assigned To alostale => dbaz
2010-07-13 14:02 dbaz Status acknowledged => scheduled
2010-07-13 14:02 dbaz fix_in_branch => pi
2010-07-13 14:02 dbaz Status scheduled => resolved
2010-07-13 14:02 dbaz Resolution open => fixed
2010-07-14 04:43 hudsonbot Checkin
2010-07-14 04:43 hudsonbot Note Added: 0029278
2010-07-14 04:43 hudsonbot Checkin
2010-07-14 04:43 hudsonbot Note Added: 0029279
2010-07-14 04:43 hudsonbot Checkin
2010-07-14 04:43 hudsonbot Note Added: 0029281
2010-07-15 11:17 iperdomo Note Added: 0029336
2010-07-15 11:17 iperdomo Status resolved => closed
2010-07-15 12:15 hgbot Checkin
2010-07-15 12:15 hgbot Note Added: 0029341
2010-07-15 21:53 hudsonbot Checkin
2010-07-15 21:53 hudsonbot Note Added: 0029359
2010-07-16 18:55 iperdomo Relationship added related to 0013989
2010-12-09 16:03 anonymous sf_bug_id 0 => 3133307


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker